Subject: Re: [PATCH net-next 0/14] pull-request: can-next 2022-10-31

From: Jakub Kicinski <[email-masked]>
Date: Mon, 31 Oct 2022 20:27:14 -0700

On Mon, 31 Oct 2022 16:43:52 +0100 Marc Kleine-Budde wrote:
> The first 7 patches are by Stephane Grosjean and Lukas Magel and
> target the peak_usb driver. Support for flashing a user defined device
> ID via the ethtool flash interface is added. A read only sysfs

nit: ethtool eeprom set != ethtool flash

> attribute for that value is added to distinguish between devices via
> udev.

So the user can write an arbitrary u32 value into flash which then
persistently pops up in sysfs across reboots (as a custom attribute
called "user_devid")?

I don't know.. the whole thing strikes me as odd. Greg do you have any
feelings about such.. solutions?

patches 5 and 6 here:
https://lore.kernel.org/all/[email-masked]/